# Uses of Class
javax.swing.UnsupportedLookAndFeelException

Packages that use UnsupportedLookAndFeelException
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of UnsupportedLookAndFeelException in javax.swing

Methods in javax.swing that throw UnsupportedLookAndFeelException
Modifier and Type
Method
Description
`static LookAndFeel`
UIManager.`createLookAndFeel​(String name)`
Creates a supported built-in Java `LookAndFeel` specified by the given `L&F name` name.
`static void`
UIManager.`setLookAndFeel​(String className)`
Loads the `LookAndFeel` specified by the given class name, using the current thread's context class loader, and passes it to `setLookAndFeel(LookAndFeel)`.
`static void`
UIManager.`setLookAndFeel​(LookAndFeel newLookAndFeel)`
Sets the current look and feel to `newLookAndFeel`.